> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getCompanyPlaidLinkToken

> 
The `getCompanyPlaidLinkToken` API generates a Plaid Link token for connecting company bank accounts.

### What it does:

- Generates a Plaid Link token to initiate bank account connection through Plaid
- Enables secure bank account linking for company payroll funding
- Returns a token used in the Plaid Link flow for bank account verification

### Notes:

- Used as the first step in connecting company bank accounts through Plaid integration
- The generated token is used with Plaid Link to securely connect bank accounts and is added to the company using `setCompanyPlaidTokenLink`



## OpenAPI

````yaml get /adminPortal/getCompanyPlaidLinkToken
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /adminPortal/getCompanyPlaidLinkToken:
    get:
      tags: []
      summary: getCompanyPlaidLinkToken
      description: >-

        The `getCompanyPlaidLinkToken` API generates a Plaid Link token for
        connecting company bank accounts.


        ### What it does:


        - Generates a Plaid Link token to initiate bank account connection
        through Plaid

        - Enables secure bank account linking for company payroll funding

        - Returns a token used in the Plaid Link flow for bank account
        verification


        ### Notes:


        - Used as the first step in connecting company bank accounts through
        Plaid integration

        - The generated token is used with Plaid Link to securely connect bank
        accounts and is added to the company using `setCompanyPlaidTokenLink`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addCompanyBankAccount
                companyId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getCompanyPlaidLinkToken
              companyId: CAA242FE-76C4-4D8F-B84D-378CB192DDB6
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                '1':
                  summary: Success
                  value: link-sandbox-e72d9253-2ba7-43a1-bfe1-8c450ab7f701
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid CompanyId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````